/*

The Martus(tm) free, social justice documentation and
monitoring software. Copyright (C) 2001-2007, Beneficent
Technology, Inc. (The Benetech Initiative).

Martus is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later
version with the additions and exceptions described in the
accompanying Martus license file entitled "license.txt".

It is distributed WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, including warranties of fitness of purpose or
merchantability.  See the accompanying Martus License and
GPL license for more details on the required license terms
for this software.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.

*/
package org.martus.common;

import org.martus.common.bulletin.Bulletin;


public class EnglishCommonStrings
{
	final public static String OK = "ok";
	final public static String CANCEL = "cancel";
	final public static String YES = "yes";
	final public static String NO = "no";
	final public static String CONTINUE = "continue";
	
	final public static String strings[] = {
		"language:?=-Other-",
		"language:en=English",
		"language:sq=Albanian",
		"language:ar=Arabic",
		"language:arm=Armenian",
		"language:az=Azerbaijani",
		"language:bg=Bulgarian",
		"language:bn=Bengali, Bangla",
		"language:my=Burmese",
		"language:zh=Chinese",
		"language:nl=Dutch",
		"language:eo=Esperanto",
		"language:fa=Farsi/Dari",
		"language:fr=French",
		"language:de=German",
		"language:gu=Gujarati",
		"language:ha=Hausa",
		"language:he=Hebrew",
		"language:hi=Hindi",
		"language:hu=Hungarian",
		"language:it=Italian",
		"language:ja=Japanese",
		"language:jv=Javanese",
		"language:kn=Kannada",
		"language:kk=Kazakh",
		"language:km=Khmer",
		"language:ky=Kirghiz",
		"language:ko=Korean",
		"language:ku=Kurdish",
		"language:ml=Malayalam",
		"language:mr=Marathi",
		"language:ne=Nepali",
		"language:or=Oriya",
		"language:pa=Panjabi",
		"language:ps=Pashto, Pushto",
		"language:pl=Polish",
		"language:pt=Portuguese",
		"language:ro=Romanian",
		"language:ru=Russian",
		"language:sr=Serbian",
		"language:sd=Sindhi",
		"language:si=Sinhalese",
		"language:es=Spanish",
		"language:ta=Tamil",
		"language:tg=Tajik",
		"language:te=Telugu",
		"language:th=Thai",
		"language:tr=Turkish",
		"language:tk=Turkmen",
		"language:uk=Ukranian",
		"language:ur=Urdu",
		"language:uz=Uzbek",
		"language:vi=Vietnamese",
		"language:bur=Burmese",

		"field:BulletinUnverifiedFieldDesk=Created by an UNKNOWN Contact",
		"field:BulletinNotYours=Contact Bulletin",
		"field:publicsection=Public Information",
		"field:privatesection=Private Information",
		"field:allprivate=Keep ALL Information Private",
		"field:BulletinLastSaved=Last Saved",
		"field:" + Bulletin.PSEUDOFIELD_LAST_SAVED_DATE + "=Last Saved",
		"field:" + Bulletin.PSEUDOFIELD_LAST_SAVED_TIMESTAMP + "=Last Saved",
		"field:BulletinVersionNumber=Version",
		"field:BulletinStatus=Bulletin Status:",
		"field:BulletinId=Bulletin Id:",
		"field:attachmentSizeForPrinting=Kb",
		"field:language=Language",
		"field:author=Author",
		"field:organization=Organization",
		"field:title=Title",
		"field:location=Location",
		"field:eventdate=Date of Event",
		"field:entrydate=Date Created",
		"field:keywords=Keywords",
		"field:publicinfo=Details",
		"field:privateinfo=Additional Information",
		"field:summary=Summary",
		"field:attachments=Attachments",
		"field:HQSummaryLabel=Contacts",
		"field:HQNotConfigured=(not currently configured)",
		"field:NoHQsConfigured=No Contact accounts selected for this record.",

		"field:DateRangeTemplatebegin=#FieldLabel# (beginning)",
		"field:DateRangeTemplateend=#FieldLabel# (end)",

		"field:DateNotSpecified=Unknown",

		"button:" + OK + "=OK",
		"button:" + CANCEL + "=Cancel",
		"button:" + YES + "=Yes",
		"button:" + NO + "=No",
		"button:" + CONTINUE + "=Continue",
		
		"status:draft=Draft",
		"status:sealed=Sealed",
	};
}
